package w83b.w83bOperacionesInternas.w83bMantenimientos.w83bPlantillas;


import java.sql.Blob;

import w83b.w83bBeans.W83bPlantillasBean;
import w83b.w83bBeans.W83bUsuarioXLNetsBean;
import w83b.w83bUtilidadesComunes.W83bClsConstantes;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInterna;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInternaConfigBean;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInternaErrors;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;
/**
 * 
 * @author jrgil
 *
 */
public class W83bDetallePlantillasOIAction extends Q70OperacionInterna{
	/**
	 * preProcessMappingEntrada
	 * @param contexto a
	 * @param configBean a
	 * @param errors a
	 * @throws Exception e
	 */				
	protected void preProcessMappingEntrada(Q70ContextoEJIE contexto, Q70OperacionInternaConfigBean configBean, Q70OperacionInternaErrors errors) throws Exception{
		
		
		String codSelec = (String)contexto.get("codSelec");
		W83bPlantillasBean plantillaBean = (W83bPlantillasBean)contexto.get("w83bPlantillasNuevoBean");
		plantillaBean.setPlantTramFase(codSelec);
		
		contexto.set("w83bPlantillasNuevoBean",plantillaBean);						
		super.preProcessMappingEntrada(contexto, configBean, errors);	
			
	}
	/**
	 * postProcessMappingSalida
	 * @param contexto a
	 * @param errors a
	 * @throws Exception e
	 */
	protected void postProcessMappingSalida(Q70ContextoEJIE contexto, Q70OperacionInternaErrors errors) throws Exception {

		
		contexto.set("modoPantalla",W83bClsConstantes.MODO_EDICION);
		contexto.set("migas","inicio.mantenimiento.plantillas.edicionPlantillas");
		W83bUsuarioXLNetsBean usuario = (W83bUsuarioXLNetsBean)contexto.get(W83bClsConstantes.CONSTANTE_CONTEXTO_USUARIO);
		if(W83bClsConstantes.CONSTANTE_PERMISO_ADMOM_DIR_TRAB_SS_SERVCENTRALES.equals(usuario.getPermisoXlnet())){
			contexto.set("strTitleKey","comun.plantillas.editarPlantillas");
		}else{
			contexto.set("strTitleKey","comun.plantillas.consultarPlantillas");
		}
		
		contexto.set("strTitleKeyPpal","comun.menu.mantenimientos.plantillas");

		W83bPlantillasBean plantillaBean = (W83bPlantillasBean)contexto.get("w83bPlantillasNuevoBean");
		Blob fichero = plantillaBean.getFicheroRecibido();
		if(fichero!=null){
			plantillaBean.setNombreFichero(plantillaBean.getNombrePlantilla());
			int size = (int)fichero.length();
	        byte[] buffer = new byte[size];
	        plantillaBean.setFichero(buffer);
		}
        
		contexto.set("w83bPlantillasNuevoBean",plantillaBean);		
		contexto.set("w83bPlantillasNuevoTempBean",contexto.get("w83bPlantillasNuevoBean"));	
		
		super.postProcessMappingSalida(contexto, errors);
	}
	
}
